Permalink
Browse files

Use Ruby 2.1.2

Group gemspec dependencies together.
  • Loading branch information...
1 parent 43aa620 commit 2caf85de88cf616cc8b284d3e1e4e271cd49fc22 @gabebw gabebw committed with croaky Jun 4, 2014
Showing with 9 additions and 7 deletions.
  1. +1 −1 .ruby-version
  2. +1 −1 .travis.yml
  3. +7 −5 suspenders.gemspec
View
@@ -1 +1 @@
-2.1.1
+2.1.2
View
@@ -1,6 +1,6 @@
language: ruby
rvm:
- - 2.1.1
+ - 2.1.2
before_install:
- "echo '--colour' > ~/.rspec"
- git config --global user.name 'Travis CI'
View
@@ -5,11 +5,6 @@ require 'date'
Gem::Specification.new do |s|
s.required_ruby_version = Suspenders::RUBY_VERSION
- s.add_dependency 'bundler', '~> 1.3'
- s.add_dependency 'rails', '~> 4.1.0'
- s.add_dependency 'bitters'
- s.add_development_dependency 'aruba', '~> 0.5.2'
- s.add_development_dependency 'cucumber', '~> 1.2'
s.authors = ['thoughtbot']
s.date = Date.today.strftime('%Y-%m-%d')
@@ -31,6 +26,13 @@ rush to build something amazing; don't use it if you like missing deadlines.
s.summary = "Generate a Rails app using thoughtbot's best practices."
s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
s.version = Suspenders::VERSION
+
+ s.add_dependency 'bitters'
+ s.add_dependency 'bundler', '~> 1.3'
+ s.add_dependency 'rails', '~> 4.1.0'
+
+ s.add_development_dependency 'aruba', '~> 0.5.2'
+ s.add_development_dependency 'cucumber', '~> 1.2'
s.add_development_dependency 'rspec'
s.add_development_dependency 'capybara'
end

0 comments on commit 2caf85d

Please sign in to comment.